{
  "accUserMode" : 2,
  "caption" : "树表格增强导航",
  "codeName" : "FILETreeGridExExpView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/FILETreeGridExExpView.json",
  "name" : "FILETreeGridExExpView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/FILE.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "TreeExpView",
    "name" : "engine"
  } ],
  "getPSAppViewLogics" : [ {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "newdata",
    "getPSAppUILogic" : {
      "actionAfterWizard" : "DEFAULT",
      "logicType" : "PREDEFINED",
      "name" : "新建数据",
      "viewLogicType" : "APP_NEWDATA",
      "batchAddOnly" : false,
      "enableBatchAdd" : false,
      "enableWizardAdd" : false
    }
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "opendata",
    "getPSAppUILogic" : {
      "logicType" : "PREDEFINED",
      "name" : "打开数据",
      "viewLogicType" : "APP_OPENDATA",
      "editMode" : true
    }
  } ],
  "getPSControls" : [ {
    "codeName" : "TreeGridExExpViewtreeexpbar",
    "controlType" : "TREEEXPBAR",
    "name" : "treeexpbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/FILE.json"
    },
    "getPSAppViewRefs" : [ {
      "name" : "EXPITEM:node",
      "realTitle" : "文件编辑视图",
      "getRefPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/FILEEditView.json",
        "viewType" : "DEEDITVIEW"
      }
    }, {
      "name" : "EXPITEM:top_node",
      "realTitle" : "文件编辑视图",
      "getRefPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/FILEEditView.json",
        "viewType" : "DEEDITVIEW"
      }
    } ],
    "getPSControlHandler" : {
      "enableDEFieldPrivilege" : false,
      "id" : "treeexpbar"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "TREEEXPBAR"
    },
    "getPSControls" : [ {
      "codeName" : "TestTreeGridExView_TreeGrid",
      "controlType" : "TREEGRIDEX",
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/FILE/PSTREEGRIDICES/TestTreeGridExView_TreeGrid.json",
      "hookEventNames" : [ "SELECTIONCHANGE", "LOAD" ],
      "logicName" : "树表格视图（增强）_树表格",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/FILE.json"
      },
      "getPSControlHandler" : {
        "enableDEFieldPrivilege" : false,
        "id" : "treeexpbar_tree"
      },
      "getPSControlLogics" : [ {
        "eventNames" : "SELECTIONCHANGE",
        "logicTag" : "treeexpbar_tree",
        "logicType" : "CUSTOM",
        "name" : "treeexpbar_selectionchange"
      }, {
        "eventNames" : "LOAD",
        "logicTag" : "treeexpbar_tree",
        "logicType" : "CUSTOM",
        "name" : "treeexpbar_load"
      } ],
      "getPSControlParam" : {
        "autoLoad" : true,
        "showBusyIndicator" : true,
        "id" : "treeexpbar_tree"
      },
      "getPSDETreeColumns" : [ {
        "align" : "LEFT",
        "caption" : "名称",
        "codeName" : "name",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "name",
        "name" : "name",
        "width" : 200,
        "widthUnit" : "STAR",
        "enableExpand" : false,
        "enableSort" : false
      }, {
        "align" : "CENTER",
        "caption" : "标识",
        "codeName" : "uuid",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "uuid",
        "name" : "uuid",
        "width" : 100,
        "widthUnit" : "STAR",
        "enableExpand" : false,
        "enableSort" : false,
        "hideDefault" : true
      }, {
        "align" : "RIGHT",
        "caption" : "创建人",
        "codeName" : "createman",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "createman",
        "name" : "createman",
        "width" : 180,
        "widthUnit" : "PX",
        "enableExpand" : false,
        "enableSort" : false
      }, {
        "caption" : "创建时间",
        "codeName" : "createdate",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "createdate",
        "name" : "createdate",
        "width" : 150,
        "widthUnit" : "px",
        "enableExpand" : false,
        "enableSort" : false
      }, {
        "caption" : "图标",
        "codeName" : "pic",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "pic",
        "defaultValue" : "无图标（表格列）",
        "name" : "pic",
        "width" : 150,
        "widthUnit" : "px",
        "enableExpand" : false,
        "enableSort" : false
      }, {
        "align" : "RIGHT",
        "caption" : "操作",
        "codeName" : "uacol",
        "columnType" : "UAGRIDCOLUMN",
        "name" : "uacol",
        "getPSDEUIActionGroup" : {
          "codeName" : "Usr1222095635",
          "name" : "通用表格操作列",
          "getPSUIActionGroupDetails" : [ {
            "actionLevel" : 200,
            "getCapPSLanguageRes" : {
              "defaultContent" : "编辑",
              "lanResTag" : "TBB.TEXT.*.EDIT",
              "lanResType" : "TBB.TEXT",
              "name" : "工具栏按钮文本[*.EDIT]",
              "refFlag" : true
            },
            "caption" : "编辑",
            "detailType" : "DEUIACTION",
            "name" : "ua19525f",
            "getPSSysImage" : {
              "glyph" : "xf044@FontAwesome",
              "cssClass" : "fa fa-edit"
            },
            "getPSUIAction" : {
              "actionTarget" : "SINGLEKEY",
              "getCapPSLanguageRes" : {
                "defaultContent" : "编辑",
                "lanResTag" : "TBB.TEXT.*.EDIT",
                "lanResType" : "TBB.TEXT",
                "name" : "工具栏按钮文本[*.EDIT]",
                "refFlag" : true
              },
              "caption" : "编辑",
              "codeName" : "Edit",
              "fullCodeName" : "Edit",
              "name" : "表格界面_编辑操作",
              "getPSSysImage" : {
                "glyph" : "xf044@FontAwesome",
                "cssClass" : "fa fa-edit"
              },
              "predefinedType" : "GRIDVIEW_EDITACTION",
              "timeout" : 60000,
              "getTooltipPSLanguageRes" : {
                "defaultContent" : "编辑",
                "lanResTag" : "TBB.TOOLTIP.*.EDIT",
                "lanResType" : "TBB.TOOLTIP",
                "name" : "工具栏按钮提示[*.EDIT]",
                "refFlag" : true
              },
              "uIActionMode" : "SYS",
              "uIActionTag" : "Edit",
              "uIActionType" : "DEUIACTION"
            },
            "getTooltipPSLanguageRes" : {
              "defaultContent" : "编辑",
              "lanResTag" : "TBB.TOOLTIP.*.EDIT",
              "lanResType" : "TBB.TOOLTIP",
              "name" : "工具栏按钮提示[*.EDIT]",
              "refFlag" : true
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          }, {
            "actionLevel" : 250,
            "getCapPSLanguageRes" : {
              "defaultContent" : "删除",
              "lanResTag" : "TBB.TEXT.*.REMOVE",
              "lanResType" : "TBB.TEXT",
              "name" : "工具栏按钮文本[*.REMOVE]",
              "refFlag" : true
            },
            "caption" : "删除",
            "detailType" : "DEUIACTION",
            "name" : "u1302c98",
            "getPSSysImage" : {
              "glyph" : "xf00d@FontAwesome",
              "cssClass" : "fa fa-remove"
            },
            "getPSUIAction" : {
              "actionTarget" : "MULTIKEY",
              "getCapPSLanguageRes" : {
                "defaultContent" : "删除",
                "lanResTag" : "TBB.TEXT.*.REMOVE",
                "lanResType" : "TBB.TEXT",
                "name" : "工具栏按钮文本[*.REMOVE]",
                "refFlag" : true
              },
              "caption" : "删除",
              "codeName" : "Remove",
              "fullCodeName" : "Remove",
              "name" : "表格界面_删除操作",
              "getPSSysImage" : {
                "glyph" : "xf00d@FontAwesome",
                "cssClass" : "fa fa-remove"
              },
              "predefinedType" : "GRIDVIEW_REMOVEACTION",
              "timeout" : 60000,
              "getTooltipPSLanguageRes" : {
                "defaultContent" : "删除",
                "lanResTag" : "TBB.TOOLTIP.*.REMOVE",
                "lanResType" : "TBB.TOOLTIP",
                "name" : "工具栏按钮提示[*.REMOVE]",
                "refFlag" : true
              },
              "uIActionMode" : "SYS",
              "uIActionTag" : "Remove",
              "uIActionType" : "DEUIACTION"
            },
            "getTooltipPSLanguageRes" : {
              "defaultContent" : "删除",
              "lanResTag" : "TBB.TOOLTIP.*.REMOVE",
              "lanResType" : "TBB.TOOLTIP",
              "name" : "工具栏按钮提示[*.REMOVE]",
              "refFlag" : true
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          } ]
        },
        "width" : 150,
        "widthUnit" : "PX",
        "enableExpand" : false,
        "enableSort" : false
      } ],
      "getPSDETreeNodeRSs" : [ {
        "getChildPSDETreeNode" : {
          "modelref" : true,
          "id" : "node"
        },
        "name" : "顶层节点 - 节点",
        "getParentPSAppDEField" : {
          "name" : "PFILEID",
          "codeName" : "Pfileid"
        },
        "getParentPSDER1N" : {
          "codeName" : "FILE",
          "dERType" : "DER1N",
          "dynaModelFilePath" : "PSMODULES/Test/PSDATAENTITIES/FILE/PSDERS/DER1N_FILE_FILE_PFILEID.json",
          "fKeyName" : "F707DF066FDA2A892A",
          "logicName" : "名称",
          "getMajorPSDataEntity" : {
            "modelref" : true,
            "path" : "PSMODULES/Test/PSDATAENTITIES/FILE.json"
          },
          "masterOrder" : -1,
          "masterRS" : 0,
          "minorCodeName" : "FILEs",
          "getMinorPSDataEntity" : {
            "modelref" : true,
            "path" : "PSMODULES/Test/PSDATAENTITIES/FILE.json"
          },
          "minorServiceCodeName" : "FILEs",
          "name" : "DER1N_FILE_FILE_PFILEID",
          "orderValue" : 100,
          "getPSPickupDEField" : {
            "name" : "PFILEID",
            "codeName" : "Pfileid"
          },
          "getPSPickupTextDEField" : {
            "name" : "PFILENAME",
            "codeName" : "Pfilename"
          },
          "pickupDEFName" : "PFILEID",
          "removeActionType" : -1,
          "removeOrder" : 0,
          "serviceCodeName" : "FILE",
          "enableFKey" : true
        },
        "getParentPSDETreeNode" : {
          "modelref" : true,
          "id" : "top_node"
        },
        "parentValueLevel" : 1,
        "searchMode" : 3
      }, {
        "getChildPSDETreeNode" : {
          "modelref" : true,
          "id" : "node"
        },
        "name" : "节点 - 节点",
        "getParentPSAppDEField" : {
          "name" : "PFILEID",
          "codeName" : "Pfileid"
        },
        "getParentPSDER1N" : {
          "codeName" : "FILE",
          "dERType" : "DER1N",
          "dynaModelFilePath" : "PSMODULES/Test/PSDATAENTITIES/FILE/PSDERS/DER1N_FILE_FILE_PFILEID.json",
          "fKeyName" : "F707DF066FDA2A892A",
          "logicName" : "名称",
          "getMajorPSDataEntity" : {
            "modelref" : true,
            "path" : "PSMODULES/Test/PSDATAENTITIES/FILE.json"
          },
          "masterOrder" : -1,
          "masterRS" : 0,
          "minorCodeName" : "FILEs",
          "getMinorPSDataEntity" : {
            "modelref" : true,
            "path" : "PSMODULES/Test/PSDATAENTITIES/FILE.json"
          },
          "minorServiceCodeName" : "FILEs",
          "name" : "DER1N_FILE_FILE_PFILEID",
          "orderValue" : 100,
          "getPSPickupDEField" : {
            "name" : "PFILEID",
            "codeName" : "Pfileid"
          },
          "getPSPickupTextDEField" : {
            "name" : "PFILENAME",
            "codeName" : "Pfilename"
          },
          "pickupDEFName" : "PFILEID",
          "removeActionType" : -1,
          "removeOrder" : 0,
          "serviceCodeName" : "FILE",
          "enableFKey" : true
        },
        "getParentPSDETreeNode" : {
          "modelref" : true,
          "id" : "node"
        },
        "parentValueLevel" : 1,
        "searchMode" : 3
      }, {
        "getChildPSDETreeNode" : {
          "modelref" : true,
          "id" : "top_node"
        },
        "name" : "我的电脑 - 顶层节点",
        "getParentPSDETreeNode" : {
          "modelref" : true,
          "id" : "node_1"
        },
        "parentValueLevel" : 1,
        "searchMode" : 3
      }, {
        "getChildPSDETreeNode" : {
          "modelref" : true,
          "id" : "top_node"
        },
        "name" : "默认根节点 - 顶层节点",
        "getParentPSDETreeNode" : {
          "modelref" : true,
          "id" : "ROOT"
        },
        "parentValueLevel" : 1,
        "searchMode" : 3
      } ],
      "getPSDETreeNodes" : [ {
        "counterMode" : 0,
        "name" : "默认根节点",
        "nodeType" : "ROOT",
        "nodeValue" : "root",
        "text" : "默认根节点",
        "treeNodeType" : "STATIC",
        "hasPSDETreeNodeRSs" : true,
        "appendPNodeId" : false,
        "disableSelect" : false,
        "enableCheck" : false,
        "enableEditData" : false,
        "enableNewData" : false,
        "enableQuickCreate" : false,
        "enableQuickSearch" : true,
        "enableRemoveData" : false,
        "enableViewData" : false,
        "expandFirstOnly" : false,
        "expanded" : false,
        "rootNode" : true,
        "selectFirstOnly" : false,
        "selected" : false,
        "id" : "ROOT"
      }, {
        "counterMode" : 0,
        "getIdPSAppDEField" : {
          "name" : "FILEID",
          "codeName" : "FILEId"
        },
        "maxSize" : -1,
        "name" : "节点",
        "getNavPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/FILEEditView.json",
          "viewType" : "DEEDITVIEW"
        },
        "nodeType" : "node",
        "getPSAppDEDataSet" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/FILE.json"
        },
        "getPSDETreeNodeColumns" : [ {
          "cLConvertMode" : "NONE",
          "codeName" : "createdate",
          "columnType" : "DEFGRIDCOLUMN",
          "dataItemName" : "createdate",
          "name" : "createdate",
          "getPSAppDEField" : {
            "name" : "CREATEDATE",
            "codeName" : "CreateDate"
          },
          "getPSDETreeColumn" : {
            "modelref" : true,
            "id" : "createdate"
          },
          "getPSDEUIActionGroup" : {
            "codeName" : "Usr0803774731",
            "name" : "门户界面行为组",
            "getPSUIActionGroupDetails" : [ {
              "getCapPSLanguageRes" : {
                "defaultContent" : "新建",
                "lanResTag" : "TBB.TEXT.*.NEW",
                "lanResType" : "TBB.TEXT",
                "name" : "工具栏按钮文本[*.NEW]",
                "refFlag" : true
              },
              "caption" : "新建",
              "detailType" : "DEUIACTION",
              "name" : "u71a8bd4",
              "getPSSysImage" : {
                "glyph" : "xf0f6@FontAwesome",
                "cssClass" : "fa fa-file-text-o"
              },
              "getPSUIAction" : {
                "getCapPSLanguageRes" : {
                  "defaultContent" : "新建",
                  "lanResTag" : "TBB.TEXT.*.NEW",
                  "lanResType" : "TBB.TEXT",
                  "name" : "工具栏按钮文本[*.NEW]",
                  "refFlag" : true
                },
                "caption" : "新建",
                "codeName" : "New",
                "fullCodeName" : "New",
                "name" : "表格界面_新建操作",
                "getPSSysImage" : {
                  "glyph" : "xf0f6@FontAwesome",
                  "cssClass" : "fa fa-file-text-o"
                },
                "predefinedType" : "GRIDVIEW_NEWACTION",
                "refreshMode" : 1,
                "timeout" : 60000,
                "getTooltipPSLanguageRes" : {
                  "defaultContent" : "新建",
                  "lanResTag" : "TBB.TOOLTIP.*.NEW",
                  "lanResType" : "TBB.TOOLTIP",
                  "name" : "工具栏按钮提示[*.NEW]",
                  "refFlag" : true
                },
                "uIActionMode" : "SYS",
                "uIActionTag" : "New",
                "uIActionType" : "DEUIACTION",
                "reloadData" : true
              },
              "getTooltipPSLanguageRes" : {
                "defaultContent" : "新建",
                "lanResTag" : "TBB.TOOLTIP.*.NEW",
                "lanResType" : "TBB.TOOLTIP",
                "name" : "工具栏按钮提示[*.NEW]",
                "refFlag" : true
              },
              "addSeparator" : false,
              "showCaption" : true,
              "showIcon" : true
            }, {
              "getCapPSLanguageRes" : {
                "defaultContent" : "编辑",
                "lanResTag" : "TBB.TEXT.*.EDIT",
                "lanResType" : "TBB.TEXT",
                "name" : "工具栏按钮文本[*.EDIT]",
                "refFlag" : true
              },
              "caption" : "编辑",
              "detailType" : "DEUIACTION",
              "name" : "uea72408",
              "getPSSysImage" : {
                "glyph" : "xf044@FontAwesome",
                "cssClass" : "fa fa-edit"
              },
              "getPSUIAction" : {
                "actionTarget" : "SINGLEKEY",
                "getCapPSLanguageRes" : {
                  "defaultContent" : "编辑",
                  "lanResTag" : "TBB.TEXT.*.EDIT",
                  "lanResType" : "TBB.TEXT",
                  "name" : "工具栏按钮文本[*.EDIT]",
                  "refFlag" : true
                },
                "caption" : "编辑",
                "codeName" : "Edit",
                "fullCodeName" : "Edit",
                "name" : "表格界面_编辑操作",
                "getPSSysImage" : {
                  "glyph" : "xf044@FontAwesome",
                  "cssClass" : "fa fa-edit"
                },
                "predefinedType" : "GRIDVIEW_EDITACTION",
                "timeout" : 60000,
                "getTooltipPSLanguageRes" : {
                  "defaultContent" : "编辑",
                  "lanResTag" : "TBB.TOOLTIP.*.EDIT",
                  "lanResType" : "TBB.TOOLTIP",
                  "name" : "工具栏按钮提示[*.EDIT]",
                  "refFlag" : true
                },
                "uIActionMode" : "SYS",
                "uIActionTag" : "Edit",
                "uIActionType" : "DEUIACTION"
              },
              "getTooltipPSLanguageRes" : {
                "defaultContent" : "编辑",
                "lanResTag" : "TBB.TOOLTIP.*.EDIT",
                "lanResType" : "TBB.TOOLTIP",
                "name" : "工具栏按钮提示[*.EDIT]",
                "refFlag" : true
              },
              "addSeparator" : false,
              "showCaption" : true,
              "showIcon" : true
            }, {
              "caption" : "百度",
              "detailType" : "DEUIACTION",
              "name" : "ubae97f0",
              "getPSUIAction" : {
                "actionTarget" : "NONE",
                "caption" : "百度",
                "codeName" : "openBaidu",
                "counterId" : "openBaidu",
                "frontProcessType" : "OPENHTMLPAGE",
                "fullCodeName" : "openBaidu",
                "htmlPageUrl" : "https://www.baidu.com/",
                "name" : "百度",
                "getPSAppCounter" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPCOUNTERS/UIActionCounter.json"
                },
                "timeout" : 60000,
                "uIActionMode" : "FRONT",
                "uIActionTag" : "openBaidu",
                "uIActionType" : "DEUIACTION"
              },
              "addSeparator" : false,
              "showCaption" : true,
              "showIcon" : true
            }, {
              "getCapPSLanguageRes" : {
                "defaultContent" : "删除",
                "lanResTag" : "TBB.TEXT.*.REMOVE",
                "lanResType" : "TBB.TEXT",
                "name" : "工具栏按钮文本[*.REMOVE]",
                "refFlag" : true
              },
              "caption" : "删除",
              "detailType" : "DEUIACTION",
              "name" : "uee0dcd7",
              "getPSSysImage" : {
                "glyph" : "xf00d@FontAwesome",
                "cssClass" : "fa fa-remove"
              },
              "getPSUIAction" : {
                "actionTarget" : "MULTIKEY",
                "getCapPSLanguageRes" : {
                  "defaultContent" : "删除",
                  "lanResTag" : "TBB.TEXT.*.REMOVE",
                  "lanResType" : "TBB.TEXT",
                  "name" : "工具栏按钮文本[*.REMOVE]",
                  "refFlag" : true
                },
                "caption" : "删除",
                "codeName" : "Remove",
                "fullCodeName" : "Remove",
                "name" : "表格界面_删除操作",
                "getPSSysImage" : {
                  "glyph" : "xf00d@FontAwesome",
                  "cssClass" : "fa fa-remove"
                },
                "predefinedType" : "GRIDVIEW_REMOVEACTION",
                "timeout" : 60000,
                "getTooltipPSLanguageRes" : {
                  "defaultContent" : "删除",
                  "lanResTag" : "TBB.TOOLTIP.*.REMOVE",
                  "lanResType" : "TBB.TOOLTIP",
                  "name" : "工具栏按钮提示[*.REMOVE]",
                  "refFlag" : true
                },
                "uIActionMode" : "SYS",
                "uIActionTag" : "Remove",
                "uIActionType" : "DEUIACTION"
              },
              "getTooltipPSLanguageRes" : {
                "defaultContent" : "删除",
                "lanResTag" : "TBB.TOOLTIP.*.REMOVE",
                "lanResType" : "TBB.TOOLTIP",
                "name" : "工具栏按钮提示[*.REMOVE]",
                "refFlag" : true
              },
              "addSeparator" : false,
              "showCaption" : true,
              "showIcon" : true
            } ]
          },
          "valueFormat" : "YYYY-MM-DD HH:mm:ss"
        }, {
          "cLConvertMode" : "BACKEND",
          "codeName" : "createman",
          "columnType" : "DEFGRIDCOLUMN",
          "dataItemName" : "createman",
          "name" : "createman",
          "getPSAppCodeList" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
          },
          "getPSAppDEField" : {
            "name" : "CREATEMAN",
            "codeName" : "CreateMan"
          },
          "getPSDETreeColumn" : {
            "modelref" : true,
            "id" : "createman"
          },
          "getPSDEUIActionGroup" : {
            "codeName" : "Usr0803774731",
            "name" : "门户界面行为组",
            "getPSUIActionGroupDetails" : [ {
              "getCapPSLanguageRes" : {
                "defaultContent" : "新建",
                "lanResTag" : "TBB.TEXT.*.NEW",
                "lanResType" : "TBB.TEXT",
                "name" : "工具栏按钮文本[*.NEW]",
                "refFlag" : true
              },
              "caption" : "新建",
              "detailType" : "DEUIACTION",
              "name" : "u71a8bd4",
              "getPSSysImage" : {
                "glyph" : "xf0f6@FontAwesome",
                "cssClass" : "fa fa-file-text-o"
              },
              "getPSUIAction" : {
                "getCapPSLanguageRes" : {
                  "defaultContent" : "新建",
                  "lanResTag" : "TBB.TEXT.*.NEW",
                  "lanResType" : "TBB.TEXT",
                  "name" : "工具栏按钮文本[*.NEW]",
                  "refFlag" : true
                },
                "caption" : "新建",
                "codeName" : "New",
                "fullCodeName" : "New",
                "name" : "表格界面_新建操作",
                "getPSSysImage" : {
                  "glyph" : "xf0f6@FontAwesome",
                  "cssClass" : "fa fa-file-text-o"
                },
                "predefinedType" : "GRIDVIEW_NEWACTION",
                "refreshMode" : 1,
                "timeout" : 60000,
                "getTooltipPSLanguageRes" : {
                  "defaultContent" : "新建",
                  "lanResTag" : "TBB.TOOLTIP.*.NEW",
                  "lanResType" : "TBB.TOOLTIP",
                  "name" : "工具栏按钮提示[*.NEW]",
                  "refFlag" : true
                },
                "uIActionMode" : "SYS",
                "uIActionTag" : "New",
                "uIActionType" : "DEUIACTION",
                "reloadData" : true
              },
              "getTooltipPSLanguageRes" : {
                "defaultContent" : "新建",
                "lanResTag" : "TBB.TOOLTIP.*.NEW",
                "lanResType" : "TBB.TOOLTIP",
                "name" : "工具栏按钮提示[*.NEW]",
                "refFlag" : true
              },
              "addSeparator" : false,
              "showCaption" : true,
              "showIcon" : true
            }, {
              "getCapPSLanguageRes" : {
                "defaultContent" : "编辑",
                "lanResTag" : "TBB.TEXT.*.EDIT",
                "lanResType" : "TBB.TEXT",
                "name" : "工具栏按钮文本[*.EDIT]",
                "refFlag" : true
              },
              "caption" : "编辑",
              "detailType" : "DEUIACTION",
              "name" : "uea72408",
              "getPSSysImage" : {
                "glyph" : "xf044@FontAwesome",
                "cssClass" : "fa fa-edit"
              },
              "getPSUIAction" : {
                "actionTarget" : "SINGLEKEY",
                "getCapPSLanguageRes" : {
                  "defaultContent" : "编辑",
                  "lanResTag" : "TBB.TEXT.*.EDIT",
                  "lanResType" : "TBB.TEXT",
                  "name" : "工具栏按钮文本[*.EDIT]",
                  "refFlag" : true
                },
                "caption" : "编辑",
                "codeName" : "Edit",
                "fullCodeName" : "Edit",
                "name" : "表格界面_编辑操作",
                "getPSSysImage" : {
                  "glyph" : "xf044@FontAwesome",
                  "cssClass" : "fa fa-edit"
                },
                "predefinedType" : "GRIDVIEW_EDITACTION",
                "timeout" : 60000,
                "getTooltipPSLanguageRes" : {
                  "defaultContent" : "编辑",
                  "lanResTag" : "TBB.TOOLTIP.*.EDIT",
                  "lanResType" : "TBB.TOOLTIP",
                  "name" : "工具栏按钮提示[*.EDIT]",
                  "refFlag" : true
                },
                "uIActionMode" : "SYS",
                "uIActionTag" : "Edit",
                "uIActionType" : "DEUIACTION"
              },
              "getTooltipPSLanguageRes" : {
                "defaultContent" : "编辑",
                "lanResTag" : "TBB.TOOLTIP.*.EDIT",
                "lanResType" : "TBB.TOOLTIP",
                "name" : "工具栏按钮提示[*.EDIT]",
                "refFlag" : true
              },
              "addSeparator" : false,
              "showCaption" : true,
              "showIcon" : true
            }, {
              "caption" : "百度",
              "detailType" : "DEUIACTION",
              "name" : "ubae97f0",
              "getPSUIAction" : {
                "actionTarget" : "NONE",
                "caption" : "百度",
                "codeName" : "openBaidu",
                "counterId" : "openBaidu",
                "frontProcessType" : "OPENHTMLPAGE",
                "fullCodeName" : "openBaidu",
                "htmlPageUrl" : "https://www.baidu.com/",
                "name" : "百度",
                "getPSAppCounter" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPCOUNTERS/UIActionCounter.json"
                },
                "timeout" : 60000,
                "uIActionMode" : "FRONT",
                "uIActionTag" : "openBaidu",
                "uIActionType" : "DEUIACTION"
              },
              "addSeparator" : false,
              "showCaption" : true,
              "showIcon" : true
            }, {
              "getCapPSLanguageRes" : {
                "defaultContent" : "删除",
                "lanResTag" : "TBB.TEXT.*.REMOVE",
                "lanResType" : "TBB.TEXT",
                "name" : "工具栏按钮文本[*.REMOVE]",
                "refFlag" : true
              },
              "caption" : "删除",
              "detailType" : "DEUIACTION",
              "name" : "uee0dcd7",
              "getPSSysImage" : {
                "glyph" : "xf00d@FontAwesome",
                "cssClass" : "fa fa-remove"
              },
              "getPSUIAction" : {
                "actionTarget" : "MULTIKEY",
                "getCapPSLanguageRes" : {
                  "defaultContent" : "删除",
                  "lanResTag" : "TBB.TEXT.*.REMOVE",
                  "lanResType" : "TBB.TEXT",
                  "name" : "工具栏按钮文本[*.REMOVE]",
                  "refFlag" : true
                },
                "caption" : "删除",
                "codeName" : "Remove",
                "fullCodeName" : "Remove",
                "name" : "表格界面_删除操作",
                "getPSSysImage" : {
                  "glyph" : "xf00d@FontAwesome",
                  "cssClass" : "fa fa-remove"
                },
                "predefinedType" : "GRIDVIEW_REMOVEACTION",
                "timeout" : 60000,
                "getTooltipPSLanguageRes" : {
                  "defaultContent" : "删除",
                  "lanResTag" : "TBB.TOOLTIP.*.REMOVE",
                  "lanResType" : "TBB.TOOLTIP",
                  "name" : "工具栏按钮提示[*.REMOVE]",
                  "refFlag" : true
                },
                "uIActionMode" : "SYS",
                "uIActionTag" : "Remove",
                "uIActionType" : "DEUIACTION"
              },
              "getTooltipPSLanguageRes" : {
                "defaultContent" : "删除",
                "lanResTag" : "TBB.TOOLTIP.*.REMOVE",
                "lanResType" : "TBB.TOOLTIP",
                "name" : "工具栏按钮提示[*.REMOVE]",
                "refFlag" : true
              },
              "addSeparator" : false,
              "showCaption" : true,
              "showIcon" : true
            } ]
          }
        }, {
          "cLConvertMode" : "NONE",
          "codeName" : "fileid",
          "columnType" : "DEFGRIDCOLUMN",
          "dataItemName" : "fileid",
          "name" : "fileid",
          "getPSAppDEField" : {
            "name" : "FILEID",
            "codeName" : "FILEId"
          },
          "getPSDETreeColumn" : {
            "modelref" : true,
            "id" : "uuid"
          }
        }, {
          "cLConvertMode" : "NONE",
          "codeName" : "filename",
          "columnType" : "DEFGRIDCOLUMN",
          "dataItemName" : "filename",
          "name" : "filename",
          "getPSAppDEField" : {
            "name" : "FILENAME",
            "codeName" : "FILEName"
          },
          "getPSDETreeColumn" : {
            "modelref" : true,
            "id" : "name"
          },
          "getPSDEUIActionGroup" : {
            "codeName" : "Usr0111725239",
            "name" : "树表格列操作",
            "getPSUIActionGroupDetails" : [ {
              "actionLevel" : 200,
              "detailType" : "DEUIACTION",
              "name" : "uee317c5",
              "getPSSysImage" : {
                "glyph" : "xf044@FontAwesome",
                "cssClass" : "fa fa-edit"
              },
              "getPSUIAction" : {
                "actionTarget" : "SINGLEKEY",
                "caption" : "编辑",
                "codeName" : "FileEdit",
                "getFrontPSAppView" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/FILEEditView.json",
                  "viewType" : "DEEDITVIEW"
                },
                "frontProcessType" : "WIZARD",
                "fullCodeName" : "FILE_FileEdit",
                "name" : "文件编辑",
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/FILE.json"
                },
                "getPSSysImage" : {
                  "glyph" : "xf044@FontAwesome",
                  "cssClass" : "fa fa-edit"
                },
                "refreshMode" : 2,
                "timeout" : 60000,
                "uIActionMode" : "FRONT",
                "uIActionTag" : "FileEdit",
                "uIActionType" : "DEUIACTION",
                "reloadData" : true,
                "id" : "FileEdit@FILE"
              },
              "addSeparator" : false,
              "showCaption" : false,
              "showIcon" : true
            }, {
              "actionLevel" : 200,
              "detailType" : "DEUIACTION",
              "name" : "u5e792ee",
              "getPSSysImage" : {
                "glyph" : "xf00d@FontAwesome",
                "cssClass" : "fa fa-remove"
              },
              "getPSUIAction" : {
                "actionTarget" : "SINGLEKEY",
                "caption" : "删除",
                "codeName" : "FileRemove",
                "confirmMsg" : "是否确认删除？",
                "fullCodeName" : "FILE_FileRemove",
                "name" : "文件删除",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "Remove"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/FILE.json"
                },
                "getPSSysImage" : {
                  "glyph" : "xf00d@FontAwesome",
                  "cssClass" : "fa fa-remove"
                },
                "refreshMode" : 2,
                "timeout" : 60000,
                "uIActionMode" : "BACKEND",
                "uIActionTag" : "FileRemove",
                "uIActionType" : "DEUIACTION",
                "enableConfirm" : true,
                "reloadData" : true,
                "id" : "FileRemove@FILE"
              },
              "addSeparator" : false,
              "showCaption" : false,
              "showIcon" : true
            } ],
            "uniqueTag" : "FILE__Usr0111725239"
          },
          "enableRowEdit" : true
        }, {
          "cLConvertMode" : "NONE",
          "codeName" : "icon",
          "columnType" : "DEFGRIDCOLUMN",
          "dataItemName" : "icon",
          "name" : "icon",
          "getPSAppDEField" : {
            "name" : "ICON",
            "codeName" : "ICON"
          },
          "getPSDETreeColumn" : {
            "modelref" : true,
            "id" : "pic"
          }
        }, {
          "codeName" : "uacol",
          "columnType" : "UAGRIDCOLUMN",
          "name" : "uacol",
          "getPSDETreeColumn" : {
            "modelref" : true,
            "id" : "uacol"
          },
          "getPSDEUIActionGroup" : {
            "codeName" : "Usr0111725239",
            "name" : "树表格列操作",
            "getPSUIActionGroupDetails" : [ {
              "actionLevel" : 200,
              "detailType" : "DEUIACTION",
              "name" : "uee317c5",
              "getPSSysImage" : {
                "glyph" : "xf044@FontAwesome",
                "cssClass" : "fa fa-edit"
              },
              "getPSUIAction" : {
                "actionTarget" : "SINGLEKEY",
                "caption" : "编辑",
                "codeName" : "FileEdit",
                "getFrontPSAppView" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/FILEEditView.json",
                  "viewType" : "DEEDITVIEW"
                },
                "frontProcessType" : "WIZARD",
                "fullCodeName" : "FILE_FileEdit",
                "name" : "文件编辑",
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/FILE.json"
                },
                "getPSSysImage" : {
                  "glyph" : "xf044@FontAwesome",
                  "cssClass" : "fa fa-edit"
                },
                "refreshMode" : 2,
                "timeout" : 60000,
                "uIActionMode" : "FRONT",
                "uIActionTag" : "FileEdit",
                "uIActionType" : "DEUIACTION",
                "reloadData" : true,
                "id" : "FileEdit@FILE"
              },
              "addSeparator" : false,
              "showCaption" : false,
              "showIcon" : true
            }, {
              "actionLevel" : 200,
              "detailType" : "DEUIACTION",
              "name" : "u5e792ee",
              "getPSSysImage" : {
                "glyph" : "xf00d@FontAwesome",
                "cssClass" : "fa fa-remove"
              },
              "getPSUIAction" : {
                "actionTarget" : "SINGLEKEY",
                "caption" : "删除",
                "codeName" : "FileRemove",
                "confirmMsg" : "是否确认删除？",
                "fullCodeName" : "FILE_FileRemove",
                "name" : "文件删除",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "Remove"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/FILE.json"
                },
                "getPSSysImage" : {
                  "glyph" : "xf00d@FontAwesome",
                  "cssClass" : "fa fa-remove"
                },
                "refreshMode" : 2,
                "timeout" : 60000,
                "uIActionMode" : "BACKEND",
                "uIActionTag" : "FileRemove",
                "uIActionType" : "DEUIACTION",
                "enableConfirm" : true,
                "reloadData" : true,
                "id" : "FileRemove@FILE"
              },
              "addSeparator" : false,
              "showCaption" : false,
              "showIcon" : true
            } ],
            "uniqueTag" : "FILE__Usr0111725239"
          }
        } ],
        "getPSDETreeNodeDataItems" : [ {
          "cLConvertMode" : "NONE",
          "dataType" : 5,
          "name" : "createdate",
          "getPSAppDEField" : {
            "name" : "CREATEDATE",
            "codeName" : "CreateDate"
          },
          "getPSDETreeColumn" : {
            "modelref" : true,
            "id" : "createdate"
          }
        }, {
          "cLConvertMode" : "BACKEND",
          "dataType" : 25,
          "name" : "createman",
          "getPSAppDEField" : {
            "name" : "CREATEMAN",
            "codeName" : "CreateMan"
          },
          "getPSCodeList" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
          },
          "getPSDETreeColumn" : {
            "modelref" : true,
            "id" : "createman"
          }
        }, {
          "cLConvertMode" : "NONE",
          "dataType" : 25,
          "name" : "fileid",
          "getPSAppDEField" : {
            "name" : "FILEID",
            "codeName" : "FILEId"
          },
          "getPSDETreeColumn" : {
            "modelref" : true,
            "id" : "uuid"
          }
        }, {
          "cLConvertMode" : "NONE",
          "dataType" : 25,
          "name" : "filename",
          "getPSAppDEField" : {
            "name" : "FILENAME",
            "codeName" : "FILEName"
          },
          "getPSDETreeColumn" : {
            "modelref" : true,
            "id" : "name"
          }
        }, {
          "cLConvertMode" : "NONE",
          "dataType" : 25,
          "defaultValue" : "无图标（表格列）",
          "name" : "icon",
          "getPSAppDEField" : {
            "name" : "ICON",
            "codeName" : "ICON"
          },
          "getPSDETreeColumn" : {
            "modelref" : true,
            "id" : "pic"
          }
        }, {
          "cLConvertMode" : "NONE",
          "dataType" : 25,
          "name" : "uacol",
          "getPSDETreeColumn" : {
            "modelref" : true,
            "id" : "uacol"
          }
        } ],
        "getPSDETreeNodeEditItems" : [ {
          "codeName" : "filename",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "name" : "filename",
          "getPSAppDEField" : {
            "name" : "FILENAME",
            "codeName" : "FILEName"
          },
          "getPSDETreeColumn" : {
            "modelref" : true,
            "id" : "name"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "maxLength" : 200,
            "name" : "filename"
          },
          "allowEmpty" : true,
          "needCodeListConfig" : true
        } ],
        "getTextPSAppDEField" : {
          "name" : "FILENAME",
          "codeName" : "FILEName"
        },
        "treeNodeType" : "DE",
        "getUpdatePSAppDEAction" : {
          "modelref" : true,
          "id" : "Update"
        },
        "hasPSDETreeNodeRSs" : true,
        "appendPNodeId" : false,
        "disableSelect" : false,
        "enableCheck" : false,
        "enableEditData" : false,
        "enableNewData" : false,
        "enableQuickCreate" : false,
        "enableQuickSearch" : true,
        "enableRemoveData" : false,
        "enableViewData" : false,
        "expandFirstOnly" : false,
        "expanded" : false,
        "rootNode" : false,
        "selectFirstOnly" : false,
        "selected" : false,
        "id" : "node"
      }, {
        "counterMode" : 0,
        "name" : "我的电脑",
        "nodeType" : "node_1",
        "text" : "我的电脑",
        "treeNodeType" : "STATIC",
        "hasPSDETreeNodeRSs" : true,
        "appendPNodeId" : false,
        "disableSelect" : false,
        "enableCheck" : false,
        "enableEditData" : false,
        "enableNewData" : false,
        "enableQuickCreate" : false,
        "enableQuickSearch" : true,
        "enableRemoveData" : false,
        "enableViewData" : false,
        "expandFirstOnly" : false,
        "expanded" : true,
        "rootNode" : false,
        "selectFirstOnly" : false,
        "selected" : false,
        "id" : "node_1"
      }, {
        "counterMode" : 0,
        "getIconPSAppDEField" : {
          "name" : "ICON",
          "codeName" : "ICON"
        },
        "getIdPSAppDEField" : {
          "name" : "FILEID",
          "codeName" : "FILEId"
        },
        "maxSize" : -1,
        "name" : "顶层节点",
        "getNavPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/FILEEditView.json",
          "viewType" : "DEEDITVIEW"
        },
        "nodeType" : "top_node",
        "getPSAppDEDataSet" : {
          "modelref" : true,
          "id" : "FetchTOP"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/FILE.json"
        },
        "getPSDETreeNodeColumns" : [ {
          "cLConvertMode" : "NONE",
          "codeName" : "createdate",
          "columnType" : "DEFGRIDCOLUMN",
          "dataItemName" : "createdate",
          "name" : "createdate",
          "getPSAppDEField" : {
            "name" : "CREATEDATE",
            "codeName" : "CreateDate"
          },
          "getPSDETreeColumn" : {
            "modelref" : true,
            "id" : "createdate"
          },
          "valueFormat" : "YYYY-MM-DD",
          "enableRowEdit" : true
        }, {
          "cLConvertMode" : "FRONT",
          "codeName" : "createman",
          "columnType" : "DEFGRIDCOLUMN",
          "dataItemName" : "createman",
          "name" : "createman",
          "getPSAppCodeList" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
          },
          "getPSAppDEField" : {
            "name" : "CREATEMAN",
            "codeName" : "CreateMan"
          },
          "getPSDETreeColumn" : {
            "modelref" : true,
            "id" : "createman"
          },
          "enableRowEdit" : true
        }, {
          "cLConvertMode" : "NONE",
          "codeName" : "fileid",
          "columnType" : "DEFGRIDCOLUMN",
          "dataItemName" : "fileid",
          "name" : "fileid",
          "getPSAppDEField" : {
            "name" : "FILEID",
            "codeName" : "FILEId"
          },
          "getPSDETreeColumn" : {
            "modelref" : true,
            "id" : "uuid"
          }
        }, {
          "cLConvertMode" : "NONE",
          "codeName" : "filename",
          "columnType" : "DEFGRIDCOLUMN",
          "dataItemName" : "filename",
          "getLinkPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/FILEEditView.json",
            "viewType" : "DEEDITVIEW"
          },
          "linkValueItem" : "srfkey",
          "name" : "filename",
          "getPSAppDEField" : {
            "name" : "FILENAME",
            "codeName" : "FILEName"
          },
          "getPSDETreeColumn" : {
            "modelref" : true,
            "id" : "name"
          },
          "enableLinkView" : true,
          "enableRowEdit" : true
        }, {
          "cLConvertMode" : "NONE",
          "codeName" : "icon",
          "columnType" : "DEFGRIDCOLUMN",
          "dataItemName" : "icon",
          "name" : "icon",
          "getPSAppDEField" : {
            "name" : "ICON",
            "codeName" : "ICON"
          },
          "getPSDETreeColumn" : {
            "modelref" : true,
            "id" : "pic"
          }
        } ],
        "getPSDETreeNodeDataItems" : [ {
          "cLConvertMode" : "NONE",
          "dataType" : 5,
          "format" : "YYYY-MM-DD",
          "name" : "createdate",
          "getPSAppDEField" : {
            "name" : "CREATEDATE",
            "codeName" : "CreateDate"
          },
          "getPSDETreeColumn" : {
            "modelref" : true,
            "id" : "createdate"
          }
        }, {
          "cLConvertMode" : "FRONT",
          "dataType" : 25,
          "getFrontPSCodeList" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
          },
          "name" : "createman",
          "getPSAppDEField" : {
            "name" : "CREATEMAN",
            "codeName" : "CreateMan"
          },
          "getPSDETreeColumn" : {
            "modelref" : true,
            "id" : "createman"
          }
        }, {
          "cLConvertMode" : "NONE",
          "dataType" : 25,
          "name" : "fileid",
          "getPSAppDEField" : {
            "name" : "FILEID",
            "codeName" : "FILEId"
          },
          "getPSDETreeColumn" : {
            "modelref" : true,
            "id" : "uuid"
          }
        }, {
          "cLConvertMode" : "NONE",
          "dataType" : 25,
          "name" : "filename",
          "getPSAppDEField" : {
            "name" : "FILENAME",
            "codeName" : "FILEName"
          },
          "getPSDETreeColumn" : {
            "modelref" : true,
            "id" : "name"
          }
        }, {
          "cLConvertMode" : "NONE",
          "dataType" : 25,
          "defaultValue" : "无图标（节点数据项）",
          "name" : "icon",
          "getPSAppDEField" : {
            "name" : "ICON",
            "codeName" : "ICON"
          },
          "getPSDETreeColumn" : {
            "modelref" : true,
            "id" : "pic"
          }
        } ],
        "getPSDETreeNodeEditItems" : [ {
          "codeName" : "createdate",
          "enableCond" : 2,
          "ignoreInput" : 0,
          "name" : "createdate",
          "getPSAppDEField" : {
            "name" : "CREATEDATE",
            "codeName" : "CreateDate"
          },
          "getPSDETreeColumn" : {
            "modelref" : true,
            "id" : "createdate"
          },
          "getPSEditor" : {
            "dateTimeFormat" : "YYYY-MM-DD",
            "editorParams" : {
              "TIMEFMT" : "YYYY-MM-DD"
            },
            "editorType" : "DATEPICKEREX_NOTIME",
            "name" : "createdate"
          },
          "allowEmpty" : false
        }, {
          "codeName" : "createman",
          "enableCond" : 3,
          "ignoreInput" : 3,
          "name" : "createman",
          "getPSAppDEField" : {
            "name" : "CREATEMAN",
            "codeName" : "CreateMan"
          },
          "getPSDETreeColumn" : {
            "modelref" : true,
            "id" : "createman"
          },
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "createman",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
            },
            "enableLinkView" : false
          },
          "allowEmpty" : true,
          "convertToCodeItemText" : true
        }, {
          "codeName" : "filename",
          "enableCond" : 0,
          "ignoreInput" : 0,
          "name" : "filename",
          "getPSAppDEField" : {
            "name" : "FILENAME",
            "codeName" : "FILEName"
          },
          "getPSDETreeColumn" : {
            "modelref" : true,
            "id" : "name"
          },
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "maxLength" : 200,
            "name" : "filename"
          },
          "allowEmpty" : true
        } ],
        "getTextPSAppDEField" : {
          "name" : "FILENAME",
          "codeName" : "FILEName"
        },
        "treeNodeType" : "DE",
        "getUpdatePSAppDEAction" : {
          "modelref" : true,
          "id" : "Update"
        },
        "hasPSDETreeNodeRSs" : true,
        "appendPNodeId" : false,
        "disableSelect" : false,
        "enableCheck" : false,
        "enableEditData" : false,
        "enableNewData" : false,
        "enableQuickCreate" : false,
        "enableQuickSearch" : true,
        "enableRemoveData" : false,
        "enableViewData" : false,
        "expandFirstOnly" : false,
        "expanded" : true,
        "rootNode" : false,
        "selectFirstOnly" : false,
        "selected" : false,
        "id" : "top_node"
      } ],
      "treeGridMode" : 1,
      "enableRootSelect" : false,
      "outputIconDefault" : false,
      "rootVisible" : false,
      "name" : "treeexpbar_tree",
      "modelid" : "824DDE93-BF7D-4A38-9646-C06D8409DFC3",
      "modeltype" : "PSDETREEGRIDEX"
    } ],
    "xDataControlName" : "treeexpbar_tree",
    "enableCounter" : true,
    "enableSearch" : true,
    "showTitleBar" : true,
    "modelid" : "390e42649ba5f8cb0ee202776599dd13_treeexpbar",
    "modeltype" : "PSEXPBAR"
  }, {
    "controlType" : "SEARCHBAR",
    "name" : "searchbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/FILE.json"
    },
    "getPSControlParam" : {
      "id" : "searchbar"
    },
    "quickGroupCount" : -1,
    "quickSearchMode" : 1,
    "quickSearchWidth" : 0,
    "enableFilter" : false,
    "enableGroup" : false,
    "enableQuickSearch" : true,
    "mobileSearchBar" : false
  }, {
    "caption" : "树表格增强导航",
    "codeName" : "TreeGridExExpViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/FILE.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "TreeGridExExpView",
  "getPSDEViewId" : "3BE3491A-5A74-445A-B04D-98FDEFDD1003",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDETREEEXPVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/FILE.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "树表格增强导航",
  "viewStyle" : "DEFAULT",
  "viewType" : "DETREEEXPVIEW",
  "enableDP" : true,
  "enableFilter" : true,
  "enableQuickSearch" : true,
  "enableSearch" : true,
  "showDataInfoBar" : true,
  "modelid" : "390e42649ba5f8cb0ee202776599dd13",
  "modeltype" : "PSAPPDEVIEW"
}